import "../button/Button";
import "../icon/Icon";
import "@interactjs/actions/drag";
import "@interactjs/actions/resize";
import "@interactjs/auto-start";
import "@interactjs/modifiers";
import { LitElement, PropertyValues } from "lit";
export declare namespace FloatingMinimizedModal {
    const ELEMENT_base: import("../../mixins/FocusMixin").FocusMixinReturnType<typeof LitElement>;
    export class ELEMENT extends ELEMENT_base {
        heading: string;
        label: string;
        show: boolean;
        closeAriaLabel: string;
        minimize: boolean;
        maximizeIconAriaLabel: string;
        minPosition: {
            x: number;
            y: number;
        } | undefined;
        container?: HTMLDivElement;
        header: HTMLDivElement;
        private dragOccured;
        private containerTransform;
        private applyInitialPosition;
        static get styles(): import("lit").CSSResult[];
        connectedCallback(): void;
        protected updated(changedProperties: PropertyValues): void;
        private getInitialPosition;
        private isNewPositionNotSame;
        private setInitialTargetPosition;
        private setFocusOnContainer;
        private cleanContainerStyles;
        private getContainerTransform;
        private setContainerRect;
        private setInteractInstance;
        handleKeyDown(event: KeyboardEvent): void;
        handleKeyDownClose(event: KeyboardEvent): void;
        handleClose(event: MouseEvent | KeyboardEvent): void;
        handleMinimize(event: Event): void;
        private getTransformValues;
        private dragMoveListener;
        private dragEndListener;
        private setTargetPosition;
        private destroyInteractInstance;
        disconnectedCallback(): void;
        render(): import("lit-html").TemplateResult<1>;
    }
    export {};
}
declare global {
    interface HTMLElementTagNameMap {
        "md-floating-modal-minimized": FloatingMinimizedModal.ELEMENT;
    }
}
